## exiv2 0.28.7+dfsg

=== CMakeLists.txt ===
# Minimum version imposed by Centos:8
cmake_minimum_required( VERSION 3.11.0 )

project(exiv2
    VERSION 0.28.7
    DESCRIPTION    "Exif/IPTC/Xmp C++ metadata library and tools plus ICC Profiles, Previews and more."
    LANGUAGES C CXX
)

# Shared Object versioning (SemVer-like: must bump major on API breakage)
if(PROJECT_VERSION_MAJOR EQUAL 0)
  # support legacy scheme (e.g. 0.27.x -> 27)
  set(EXIV2LIB_SOVERSION ${PROJECT_VERSION_MINOR})
else()
  # restart from 30
  math(EXPR EXIV2LIB_SOVERSION "30 + (${PROJECT_VERSION_MAJOR} - 1)")
endif()

if(NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif()

include(cmake/mainSetup.cmake  REQUIRED)

# options and their default values
option( BUILD_SHARED_LIBS             "Build exiv2lib as a shared library"                    ON  )
option( EXIV2_ENABLE_XMP              "Build with XMP metadata support"                       ON  )
option( EXIV2_ENABLE_EXTERNAL_XMP     "Use external version of XMP"                           OFF )
option( EXIV2_ENABLE_PNG              "Build with PNG support (requires zlib)"                ON  )
option( EXIV2_ENABLE_NLS              "Build native language support (requires gettext)"      OFF )
option( EXIV2_ENABLE_LENSDATA         "Build including Nikon lens data"                       ON  )
option( EXIV2_ENABLE_DYNAMIC_RUNTIME  "Use dynamic runtime (used for static libs)"            ON  )
option( EXIV2_ENABLE_WEBREADY         "Build webready support into library"                   OFF )
option( EXIV2_ENABLE_CURL             "Use libcurl for HttpIo (WEBREADY)"                     OFF )
option( EXIV2_ENABLE_BMFF             "Build with BMFF support"                               ON  )
option( EXIV2_ENABLE_BROTLI           "Use Brotli for JPEG XL compressed boxes (BMFF)"        ON  )
option( EXIV2_ENABLE_VIDEO            "Build with video support"                              ON )
option( EXIV2_ENABLE_INIH             "Use inih library"                                      ON  )
option( EXIV2_ENABLE_FILESYSTEM_ACCESS "Build with filesystem access"                          ON)

option( EXIV2_BUILD_SAMPLES           "Build sample applications"                             OFF )
option( EXIV2_BUILD_EXIV2_COMMAND     "Build exiv2 command-line executable"                   ON  )
option( EXIV2_BUILD_UNIT_TESTS        "Build unit tests"                                      OFF )
option( EXIV2_BUILD_FUZZ_TESTS        "Build fuzz tests (libFuzzer)"                          OFF )
option( EXIV2_BUILD_DOC               "Add 'doc' target to generate documentation"            OFF )

# Only intended to be used by Exiv2 developers/contributors
option( EXIV2_TEAM_EXTRA_WARNINGS     "Add more sanity checks using compiler flags"           OFF )
option( EXIV2_TEAM_WARNINGS_AS_ERRORS "Treat warnings as errors"                              OFF )
option( EXIV2_TEAM_USE_SANITIZERS     "Enable ASAN and UBSAN when available"                  OFF )

# The EXIV2_TEAM_OSS_FUZZ option is used by the OSS-Fuzz build script:
# https://github.com/google/oss-fuzz/tree/master/projects/exiv2/build.sh
option( EXIV2_TEAM_OSS_FUZZ           "Build config for OSS-Fuzz"                             OFF )

option( EXIV2_TEAM_PACKAGING          "Additional stuff for generating packages"              OFF )
set(EXTRA_COMPILE_FLAGS " ")

mark_as_advanced(
    EXIV2_TEAM_EXTRA_WARNINGS
    EXIV2_TEAM_WARNINGS_AS_ERRORS
    EXIV2_ENABLE_EXTERNAL_XMP
    EXTRA_COMPILE_FLAGS
    EXIV2_TEAM_USE_SANITIZERS
)

option( BUILD_WITH_STACK_PROTECTOR    "Build with stack protector"                            ON )
option( BUILD_WITH_CCACHE             "Use ccache to speed up compilations"                   OFF )
option( BUILD_WITH_COVERAGE           "Add compiler flags to generate coverage stats"         OFF )
include(cmake/gcovr.cmake REQUIRED)

set( PACKAGE_URL                      "https://exiv2.org")

if ( EXIV2_ENABLE_EXTERNAL_XMP )
  set(EXIV2_ENABLE_XMP OFF)
endif()

include(cmake/findDependencies.cmake   REQUIRED)
include(cmake/compilerFlags.cmake      REQUIRED)
include(cmake/generateConfigFile.cmake REQUIRED)

if (EXIV2_BUILD_DOC)
  include(cmake/generateDoc.cmake        REQUIRED)
  generate_documentation("${PROJECT_SOURCE_DIR}/cmake/Doxyfile.in")
endif()

include_directories(${CMAKE_BINARY_DIR})  # Make the exv_conf.h file visible for the full project

if( EXIV2_ENABLE_XMP )
  add_subdirectory( xmpsdk )
endif()

include(cmake/compilerFlagsExiv2.cmake REQUIRED)

add_subdirectory( src )

if( EXIV2_BUILD_UNIT_TESTS )
  add_subdirectory ( unitTests )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
endif()

if( EXIV2_BUILD_FUZZ_TESTS )
  add_subdirectory ( fuzz )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
endif()

if(EXIV2_BUILD_EXIV2_COMMAND)
  add_subdirectory ( app )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)

if( EXIV2_BUILD_SAMPLES )
    add_subdirectory( samples )
    set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
    get_directory_property(SAMPLES DIRECTORY samples DEFINITION APPLICATIONS)

    if (Python3_Interpreter_FOUND)
      add_test(NAME bashTests
          WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
          COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bash_tests)
    endif()
endif()

if (Python3_Interpreter_FOUND)
    add_test(NAME bugfixTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bugfixes)
    add_test(NAME lensTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose lens_tests)
    add_test(NAME tiffTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose tiff_test)
    add_test(NAME versionTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bash_tests/version_test.py )
    add_test(NAME regressionTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose regression_tests)
endif()

endif()

if( EXIV2_ENABLE_NLS )
  add_subdirectory( po )
endif()

if (EXIV2_TEAM_PACKAGING)
  include(cmake/packaging.cmake)
endif()

# Handle both relative and absolute paths (e.g. NixOS) for a relocatable package
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
    set(libdir_for_pc_file "${CMAKE_INSTALL_LIBDIR}")
else()
    join_paths(libdir_for_pc_file "\${exec_prefix}" "${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
    set(includedir_for_pc_file "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    join_paths(includedir_for_pc_file "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
endif()
configure_file(cmake/exiv2.pc.in exiv2.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/exiv2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# ******************************************************************************
# Man page
install( FILES ${PROJECT_SOURCE_DIR}/man/man1/exiv2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )

include(cmake/printSummary.cmake)

# That's all Folks!
##

=== meson_options.txt ===
option('curl', type : 'feature',
  description : 'USE Libcurl for HttpIo (WEBREADY)',
)

option('brotli', type : 'feature',
  description : 'Build with brotli support (requires libbrotlidec)',
)

option('nls', type : 'feature',
  description : 'Build native language support (requires gettext)',
)

option('png', type : 'feature',
  description : 'Build with png support (requires libz)',
)

option('iconv', type : 'feature',
  description : 'Build with iconv support',
)

option('inih', type : 'feature',
  description : 'Build with INIReader support',
)

option('bmff', type : 'boolean',
  value: true,
  description : 'Build with BMFF support',
)

option('lensdata', type : 'boolean',
  value: true,
  description : 'Build including lens data',
)

option('video', type : 'boolean',
  value: true,
  description : 'Build support for video formats',
)

option('xmp', type : 'feature',
  description : 'Build support for XMP',
)

option('unitTests', type : 'feature',
  description : 'Build and run unit tests',
)

option('webready', type : 'boolean',
  value: true,
  description : 'Build with support for webready',
)

=== app/CMakeLists.txt ===
add_executable( exiv2
     exiv2.cpp
     exiv2app.hpp
     actions.cpp actions.hpp
     getopt.cpp getopt.hpp
     app_utils.cpp app_utils.hpp
)

target_include_directories(exiv2 PRIVATE ${PROJECT_SOURCE_DIR}/src) # To find i18n.hpp

set_target_properties( exiv2 PROPERTIES
    COMPILE_FLAGS ${EXTRA_COMPILE_FLAGS}
    XCODE_ATTRIBUTE_GCC_GENERATE_DEBUGGING_SYMBOLS[variant=Debug] "YES"
)
if (MSVC)
    set_target_properties(exiv2 PROPERTIES LINK_FLAGS "/ignore:4099") # Ignore missing PDBs
endif()

target_link_libraries( exiv2 PRIVATE exiv2lib )

if( EXIV2_ENABLE_NLS )
    target_link_libraries(exiv2 PRIVATE ${Intl_LIBRARIES})
    target_include_directories(exiv2 PRIVATE ${Intl_INCLUDE_DIRS})
endif()

target_link_libraries(exiv2 PRIVATE std::filesystem)

if(MSVC OR MINGW)
    # Trick to get properly UTF-8 encoded argv 
    # More info at: https://github.com/huangqinjin/wmain
    add_library(wmain STATIC wmain.cpp)
    target_link_libraries(exiv2 PRIVATE wmain)
endif()

if (MSVC)
    target_link_options(wmain INTERFACE /WHOLEARCHIVE:$<TARGET_FILE:wmain>)
    target_link_options(exiv2 PRIVATE "/ENTRY:wWinMainCRTStartup")
endif()

if (MINGW)
    target_compile_options(exiv2 PRIVATE -municode)
    target_link_options(exiv2 PRIVATE -municode)
endif()

if (USING_CONAN AND WIN32 AND EXISTS ${PROJECT_BINARY_DIR}/conanDlls)
    # In case of using conan recipes with their 'shared' option turned on, we will have dlls of
    # the 3rd party dependencies in the conanDlls folder.

    # Copy 3rd party DLLs the bin folder. [build step]
    add_custom_command(TARGET exiv2 POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_BINARY_DIR}/conanDlls ${CMAKE_RUNTIME_OUTPUT_DIRECTORY})

    # Copy 3rd party DLLs the bin folder. [install step]
    install(DIRECTORY ${PROJECT_BINARY_DIR}/conanDlls/ DESTINATION bin)
endif()

install(TARGETS exiv2 RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== fuzz/CMakeLists.txt ===

macro(fuzzer name)
    add_executable(${name} ${name}.cpp)

    # The EXIV2_TEAM_OSS_FUZZ option is used by the OSS-Fuzz build script:
    # https://github.com/google/oss-fuzz/tree/master/projects/exiv2/build.sh
    # OSS-Fuzz wants full control of the sanitizer flags, and it uses
    # the LIB_FUZZING_ENGINE option to supply its own main function.
    if(EXIV2_TEAM_OSS_FUZZ)
        set_target_properties(${name}
                PROPERTIES
                    LINK_FLAGS "${LIB_FUZZING_ENGINE}")
    else()
        set_target_properties(${name}
                PROPERTIES
                    COMPILE_FLAGS "-fsanitize=fuzzer"
                    LINK_FLAGS "-fsanitize=fuzzer")
    endif()
    target_link_libraries(${name} PRIVATE exiv2lib std::filesystem)
endmacro()

fuzzer(fuzz-read-print-write)
fuzzer(fuzz-read-write)

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

GETTEXT_CREATE_TRANSLATIONS(exiv2.pot ALL
    bs.po
    ca.po
    da.po
    de.po
    es.po
    fi.po
    fr.po
    gl.po
    it.po
    ka.po
    ms.po
    nl.po
    pl.po
    pt.po
    pt_BR.po
    ru.po
    sk.po
    sv.po
    ug.po
    uk.po
    vi.po
)

find_program(XGETTEXT xgettext)

add_custom_target(
    update-pot
    COMMAND
    ${XGETTEXT} -o ${CMAKE_CURRENT_SOURCE_DIR}/exiv2.pot
        -D ${PROJECT_SOURCE_DIR}
        --keyword=_ --keyword=N_
        --files-from=${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
        --from-code=UTF-8
        --copyright-holder='Exiv2 authors'
        --msgid-bugs-address='https://github.com/Exiv2/exiv2/issues'
        --package-name=${CMAKE_PROJECT_NAME}
        --package-version=${CMAKE_PROJECT_VERSION}
    COMMENT "Extract translatable messages to exiv2.pot"
)

=== src/CMakeLists.txt ===
include(CMakePackageConfigHelpers)

include_directories(${CMAKE_CURRENT_BINARY_DIR})


add_library( exiv2lib_int OBJECT
    canonmn_int.cpp         canonmn_int.hpp
    casiomn_int.cpp         casiomn_int.hpp
    cr2header_int.cpp       cr2header_int.hpp
    crwimage_int.cpp        crwimage_int.hpp
    fujimn_int.cpp          fujimn_int.hpp
    helper_functions.cpp    helper_functions.hpp
    image_int.cpp           image_int.hpp
    jp2image_int.cpp        jp2image_int.hpp
    makernote_int.cpp       makernote_int.hpp
    minoltamn_int.cpp       minoltamn_int.hpp
    nikonmn_int.cpp         nikonmn_int.hpp
    olympusmn_int.cpp       olympusmn_int.hpp
    orfimage_int.cpp        orfimage_int.hpp
    panasonicmn_int.cpp     panasonicmn_int.hpp
    pentaxmn_int.cpp        pentaxmn_int.hpp
    rw2image_int.cpp        rw2image_int.hpp
    safe_op.hpp
    samsungmn_int.cpp       samsungmn_int.hpp
    sigmamn_int.cpp         sigmamn_int.hpp
    sonymn_int.cpp          sonymn_int.hpp
    tags_int.cpp            tags_int.hpp
    tiffcomposite_int.cpp   tiffcomposite_int.hpp
    tiffimage_int.cpp       tiffimage_int.hpp
    tiffvisitor_int.cpp     tiffvisitor_int.hpp
    tifffwd_int.hpp
    utils.hpp               utils.cpp
)

set(PUBLIC_HEADERS
    ../include/exiv2/basicio.hpp
    ../include/exiv2/bmffimage.hpp
    ../include/exiv2/bmpimage.hpp
    ../include/exiv2/config.h
    ../include/exiv2/convert.hpp
    ../include/exiv2/cr2image.hpp
    ../include/exiv2/crwimage.hpp
    ../include/exiv2/datasets.hpp
    ../include/exiv2/easyaccess.hpp
    ../include/exiv2/epsimage.hpp
    ../include/exiv2/error.hpp
    ../include/exiv2/exif.hpp
    ../include/exiv2/exiv2.hpp
    ../include/exiv2/futils.hpp
    ../include/exiv2/gifimage.hpp
    ../include/exiv2/image.hpp
    ../include/exiv2/image_types.hpp
    ../include/exiv2/iptc.hpp
    ../include/exiv2/jp2image.hpp
    ../include/exiv2/jpgimage.hpp
    ../include/exiv2/metadatum.hpp
    ../include/exiv2/mrwimage.hpp
    ../include/exiv2/orfimage.hpp
    ../include/exiv2/pgfimage.hpp
    ../include/exiv2/photoshop.hpp
    ../include/exiv2/preview.hpp
    ../include/exiv2/properties.hpp
    ../include/exiv2/psdimage.hpp
    ../include/exiv2/rafimage.hpp
    ../include/exiv2/rw2image.hpp
    ../include/exiv2/slice.hpp
    ../include/exiv2/tags.hpp
    ../include/exiv2/tgaimage.hpp
    ../include/exiv2/tiffimage.hpp
    ../include/exiv2/types.hpp
    ../include/exiv2/value.hpp
    ../include/exiv2/version.hpp
    ../include/exiv2/webpimage.hpp
    ../include/exiv2/xmp_exiv2.hpp
    ../include/exiv2/xmpsidecar.hpp
)

add_library( exiv2lib
    asfvideo.cpp
    basicio.cpp
    bmffimage.cpp
    bmpimage.cpp
    convert.cpp
    cr2image.cpp
    crwimage.cpp
    datasets.cpp
    easyaccess.cpp
    epsimage.cpp
    error.cpp
    exif.cpp
    futils.cpp
    fff.h
    gifimage.cpp
    image.cpp
    iptc.cpp
    jp2image.cpp
    jpgimage.cpp
    metadatum.cpp
    mrwimage.cpp
    orfimage.cpp
    pgfimage.cpp
    photoshop.cpp
    preview.cpp
    properties.cpp
    psdimage.cpp
    rafimage.cpp
    rw2image.cpp
    tags.cpp
    tgaimage.cpp
    tiffimage.cpp
    types.cpp
    value.cpp
    version.cpp
    webpimage.cpp
    xmp.cpp
    xmpsidecar.cpp
    ${PUBLIC_HEADERS}
    $<TARGET_OBJECTS:exiv2lib_int>
)
add_library(Exiv2::exiv2lib ALIAS exiv2lib)

generate_export_header(exiv2lib
    EXPORT_MACRO_NAME EXIV2API
    EXPORT_FILE_NAME ${CMAKE_BINARY_DIR}/exiv2lib_export.h
    STATIC_DEFINE exiv2lib_STATIC
)

# Conditional addition of sources to library targets
# ---------------------------------------------------------
if(EXIV2_ENABLE_WEBREADY)
  set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/http.hpp)
  target_sources(exiv2lib PRIVATE http.cpp ../include/exiv2/http.hpp)
endif()

if( EXIV2_ENABLE_PNG )
    set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/pngimage.hpp)
    target_sources(exiv2lib_int PRIVATE pngchunk_int.cpp pngchunk_int.hpp)
    target_sources(exiv2lib PRIVATE pngimage.cpp ../include/exiv2/pngimage.hpp)
endif()

if( EXV_ENABLE_VIDEO )
    set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/asfvideo.hpp)
    target_sources(exiv2lib PRIVATE asfvideo.cpp ../include/exiv2/asfvideo.hpp)

    set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/matroskavideo.hpp)
    target_sources(exiv2lib PRIVATE matroskavideo.cpp ../include/exiv2/matroskavideo.hpp)

    set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/quicktimevideo.hpp)
    target_sources(exiv2lib PRIVATE quicktimevideo.cpp ../include/exiv2/quicktimevideo.hpp)

    set(PUBLIC_HEADERS ${PUBLIC_HEADERS} ../include/exiv2/riffvideo.hpp)
    target_sources(exiv2lib PRIVATE riffvideo.cpp ../include/exiv2/riffvideo.hpp)
endif()

# Other library target properties
# ---------------------------------------------------------

set_target_properties( exiv2lib PROPERTIES
    VERSION       ${PROJECT_VERSION}
    SOVERSION     ${EXIV2LIB_SOVERSION}
    OUTPUT_NAME   exiv2
    PDB_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMPILE_FLAGS ${EXTRA_COMPILE_FLAGS}
)

if (MSVC)
    set_target_properties(exiv2lib PROPERTIES LINK_FLAGS "/ignore:4099")
endif()

set_target_properties( exiv2lib_int PROPERTIES
    POSITION_INDEPENDENT_CODE ON
    COMPILE_DEFINITIONS exiv2lib_EXPORTS
)

# NOTE: Cannot use target_link_libraries on OBJECT libraries with old versions of CMake
target_include_directories(exiv2lib SYSTEM PRIVATE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/xmpsdk/include>
)

if (EXIV2_ENABLE_XMP OR EXIV2_ENABLE_EXTERNAL_XMP)
    target_include_directories(exiv2lib PRIVATE ${EXPAT_INCLUDE_DIR})
    target_link_libraries(exiv2lib PRIVATE EXPAT::EXPAT)
    list(APPEND requires_private_list "expat")
endif()

if (EXIV2_ENABLE_XMP)
    target_sources(exiv2lib PRIVATE $<TARGET_OBJECTS:exiv2-xmp>)
elseif(EXIV2_ENABLE_EXTERNAL_XMP)
    target_link_libraries(exiv2lib PUBLIC ${XMPSDK_LIBRARY})
    target_include_directories(exiv2lib PUBLIC ${XMPSDK_INCLUDE_DIR})
    target_compile_definitions(exiv2lib PUBLIC EXV_ADOBE_XMPSDK=2016)
endif()

# Use include/exiv2 to build library code
target_include_directories(exiv2lib PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/exiv2>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_include_directories(exiv2lib_int PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/exiv2>
)

if (EXIV2_ENABLE_WEBREADY)
    if( EXIV2_ENABLE_CURL )
        target_link_libraries(exiv2lib PRIVATE CURL::libcurl)
        list(APPEND requires_private_list "libcurl")
    endif()
endif()

if (WIN32)
    target_compile_definitions(exiv2lib PRIVATE PSAPI_VERSION=1)    # to be compatible with <= WinVista (#905)
    # Since windows.h is included in some headers, we need to propagate this definition
    target_compile_definitions(exiv2lib PUBLIC WIN32_LEAN_AND_MEAN)
endif()

if (NOT MSVC)
    if ( CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" )
        target_link_libraries( exiv2lib PRIVATE -lprocstat)
    endif()

    if (MINGW)
        target_link_libraries( exiv2lib PRIVATE psapi ws2_32 shell32 )
    endif()

else()
    target_link_libraries( exiv2lib PRIVATE psapi ws2_32 shell32 )
endif()

if( EXIV2_ENABLE_PNG )
    target_link_libraries( exiv2lib PRIVATE ZLIB::ZLIB)
    target_include_directories(exiv2lib_int PRIVATE ${ZLIB_INCLUDE_DIR})
    list(APPEND requires_private_list "zlib")
endif()

if( EXIV2_ENABLE_BMFF AND BROTLI_FOUND )
    target_link_libraries( exiv2lib PRIVATE ${Brotli_LIBRARIES})
    target_include_directories(exiv2lib PRIVATE ${Brotli_INCLUDE_DIRS})
    list(APPEND requires_private_list "libbrotlidec")
endif()

if( EXIV2_ENABLE_NLS )
    target_link_libraries(exiv2lib PRIVATE ${Intl_LIBRARIES})
    target_include_directories(exiv2lib PRIVATE ${Intl_INCLUDE_DIRS})
    target_include_directories(exiv2lib_int PRIVATE ${Intl_INCLUDE_DIRS})
    if( Intl_LIBRARIES )
        list(APPEND libs_private_list "intl")
    endif()
    # Definition needed for translations
    join_paths(EXV_LOCALEDIR ".." "${CMAKE_INSTALL_LOCALEDIR}")
    target_compile_definitions(exiv2lib PUBLIC EXV_LOCALEDIR="${EXV_LOCALEDIR}")
endif()

if( Iconv_FOUND AND Iconv_LIBRARIES )
    target_link_libraries( exiv2lib PRIVATE Iconv::Iconv )
    list(APPEND libs_private_list "iconv")
    set(EXV_HAVE_LIBICONV TRUE)
else()
    set(EXV_HAVE_LIBICONV FALSE)
endif()

if( EXIV2_ENABLE_INIH )
  target_link_libraries( exiv2lib_int PRIVATE inih::inireader )
  target_link_libraries( exiv2lib_int PRIVATE inih::libinih )
  target_link_libraries( exiv2lib PRIVATE inih::inireader )
  target_link_libraries( exiv2lib PRIVATE inih::libinih )
  list(APPEND requires_private_list "INIReader")
endif()

# Convert private lists to delimited strings
list(SORT libs_private_list)
string(REPLACE ";" " -l" libs_private_string "${libs_private_list}")
if(libs_private_string)
    string(PREPEND libs_private_string "-l")
endif()
list(SORT requires_private_list)
string(REPLACE ";" ", " requires_private_string "${requires_private_list}")

set(libs_private_for_pc_file "${libs_private_string}" PARENT_SCOPE)
set(requires_private_for_pc_file "${requires_private_string}" PARENT_SCOPE)

write_basic_package_version_file(exiv2ConfigVersion.cmake COMPATIBILITY ExactVersion)

install(TARGETS exiv2lib EXPORT exiv2Targets)

include(CMakePackageConfigHelpers)
configure_package_config_file(
  ../cmake/exiv2Config.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/exiv2Config.cmake
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/exiv2"
)

install(FILES
    ${PUBLIC_HEADERS}
    ${CMAKE_BINARY_DIR}/exv_conf.h
    ${CMAKE_BINARY_DIR}/exiv2lib_export.h
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/exiv2)

install(EXPORT exiv2Targets
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/exiv2"
    NAMESPACE Exiv2::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/exiv2ConfigVersion.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/exiv2Config.cmake
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/exiv2")

=== unitTests/CMakeLists.txt ===
# Prefer using Google supplied CMake config as built-in module is buggy before 3.23
find_package(GTest CONFIG)
if(NOT GTest_FOUND)
    find_package(GTest REQUIRED)
endif()

# video support.
if( EXV_ENABLE_VIDEO )
    set(VIDEO_SUPPORT test_asfvideo.cpp  test_matroskavideo.cpp test_riffVideo.cpp)
endif()

add_executable(unit_tests
    test_basicio.cpp
    test_bmpimage.cpp
    test_cr2header_int.cpp
    test_datasets.cpp
    test_Error.cpp
    test_DateValue.cpp
    test_enforce.cpp
    test_FileIo.cpp
    test_futils.cpp
    test_helper_functions.cpp
    test_image_int.cpp
    test_ImageFactory.cpp
    test_jp2image.cpp
    test_jp2image_int.cpp
    test_IptcKey.cpp
    test_LangAltValueRead.cpp
    test_Photoshop.cpp
    test_pngimage.cpp
    test_safe_op.cpp
    test_slice.cpp
    test_tiffheader.cpp
    test_types.cpp
    test_TimeValue.cpp
    test_utils.cpp
    test_XmpKey.cpp
    ${VIDEO_SUPPORT}
    $<TARGET_OBJECTS:exiv2lib_int>
)

target_compile_definitions(unit_tests
  PRIVATE
    exiv2lib_STATIC
    TESTDATA_PATH="${PROJECT_SOURCE_DIR}/test/data"
)

target_link_libraries(unit_tests
    PRIVATE
        exiv2lib
        GTest::gmock_main
        std::filesystem
)

if( EXIV2_ENABLE_INIH )
  target_link_libraries(unit_tests PRIVATE inih::libinih inih::inireader)
endif()

# ZLIB is used in exiv2lib_int.
if( EXIV2_ENABLE_PNG )
    target_link_libraries(unit_tests PRIVATE ${ZLIB_LIBRARIES} )
endif()

target_include_directories(unit_tests
    PRIVATE ${PROJECT_SOURCE_DIR}/src
)

set_target_properties(unit_tests PROPERTIES
    COMPILE_FLAGS ${EXTRA_COMPILE_FLAGS}
)

if (MSVC)
    set_target_properties(unit_tests PROPERTIES LINK_FLAGS "/ignore:4099")
endif()

add_test(NAME unitTests COMMAND unit_tests)

=== xmpsdk/CMakeLists.txt ===
add_library(exiv2-xmp OBJECT
    src/ExpatAdapter.cpp
    src/MD5.cpp
    src/ParseRDF.cpp
    src/UnicodeConversions.cpp
    src/WXMPIterator.cpp
    src/WXMPMeta.cpp
    src/WXMPUtils.cpp
    src/XML_Node.cpp
    src/XMPCore_Impl.cpp
    src/XMPIterator.cpp
    src/XMPMeta-GetSet.cpp
    src/XMPMeta-Parse.cpp
    src/XMPMeta-Serialize.cpp
    src/XMPMeta.cpp
    src/XMPUtils-FileInfo.cpp
    src/XMPUtils.cpp
    include/MD5.h
    include/TXMPIterator.hpp
    include/TXMPMeta.hpp
    include/TXMPUtils.hpp
    include/XMP_Const.h
    include/XMP_Environment.h
    include/XMP.incl_cpp
    include/XMPSDK.hpp
    include/XMP_Version.h
)

target_include_directories(exiv2-xmp SYSTEM
    PRIVATE
        ${PROJECT_SOURCE_DIR}/xmpsdk/include
        ${EXPAT_INCLUDE_DIRS}
)

# Prevent a denial-service-attack related to XML entity expansion
# ("billion laughs attack").
# See https://bugzilla.redhat.com/show_bug.cgi?id=888769
target_compile_definitions(exiv2-xmp PRIVATE BanAllEntityUsage=1)

if (WIN32)
    target_compile_definitions(exiv2-xmp PRIVATE XML_STATIC)
endif()

if (MINGW)
    # https://stackoverflow.com/questions/18551409/localtime-r-support-on-mingw
    target_compile_definitions(exiv2-xmp PRIVATE _POSIX_THREAD_SAFE_FUNCTIONS)
endif()

if (BUILD_SHARED_LIBS)
    set_property(TARGET exiv2-xmp PROPERTY POSITION_INDEPENDENT_CODE ON)
endif()

=== doc/templates/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2017 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   28-May-05, ahu: created
#
# Description:
#  Simple Makefile to create html documentation from templates. Requires
#  some special tools (python3, xsltproc) but really only needs to
#  be used to update the documentation after changing Exiv2 tags in the
#  source code.
#
# Restrictions:
#  Only tested with GNU make.
#

TABLES = Exif \
         Canon \
         CanonCs \
         CanonSi \
         CanonCf \
         CanonPi \
         CanonTi \
         CanonFi \
         CanonPa \
         CanonPr \
         CanonMe \
         CanonHdr \
         CanonVigCor2 \
         CanonLiOp \
         CanonAfMiAdj \
         CanonLe \
         CanonAm \
         CanonFil \
         CanonAfC \
         CanonRawB \
         Casio \
         Casio2 \
         Fujifilm \
         Minolta \
         MinoltaCsNew \
         MinoltaCs5D \
         MinoltaCs7D \
         Nikon1 \
         Nikon2 \
         Nikon3 \
         NikonVr \
         NikonPc \
         NikonWt \
         NikonIi \
         NikonAf \
         NikonAf2 \
         NikonAf22 \
         NikonAFT \
         NikonFi \
         NikonMe \
         NikonFl1 \
         NikonFl2 \
         NikonFl3 \
         NikonFl6 \
         NikonFl7 \
         NikonSiD80 \
         NikonSiD40 \
         NikonSiD300a \
         NikonSiD300b \
         NikonSi01xx \
         NikonCb1 \
         NikonCb2 \
         NikonCb2a \
         NikonCb2b \
         NikonCb3 \
         NikonCb4 \
         NikonLd1 \
         NikonLd2 \
         NikonLd3 \
         NikonLd4 \
         Olympus \
         OlympusCs \
         OlympusEq \
         OlympusRd \
         OlympusRd2 \
         OlympusIp \
         OlympusFi \
         OlympusFe1 \
         OlympusRi \
         Panasonic \
         PanasonicRaw \
         Pentax \
         Samsung2 \
         SamsungPictureWizard \
         Sigma \
         Sony1 \
         SonyMinolta \
         Sony1Cs \
         Sony1Cs2 \
         Sony2010e \
         Sony1MltCs7D \
         Sony1MltCsOld \
         Sony1MltCsA100 \
         Sony2Fp \
         SonyMisc1 \
         SonyMisc2b \
         SonyMisc3c \
         SonySInfo1

SCHEMA = xmp_dc \
         xmp_dwc \
         xmp_dcterms \
         xmp_xmp \
         xmp_xmpRights \
         xmp_xmpMM \
         xmp_xmpBJ \
         xmp_xmpTPg \
         xmp_xmpDM \
         xmp_pdf \
         xmp_photoshop \
         xmp_lr \
         xmp_crs \
         xmp_crss \
         xmp_tiff \
         xmp_exif \
         xmp_exifEX \
         xmp_aux \
         xmp_iptc \
         xmp_MicrosoftPhoto \
         xmp_acdsee \
         xmp_digiKam \
         xmp_kipi \
         xmp_iptcExt \
         xmp_plus \
         xmp_mediapro \
         xmp_expressionmedia \
         xmp_GPano \
         xmp_MP \
         xmp_MPRI \
         xmp_MPReg \
         xmp_mwg-rs \
         xmp_mwg-kw

TAGLIST = ${EXIV2_BINDIR}/taglist

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# Default make target
all: tags

.PHONY: tags mostlyclean clean distclean maintainer-clean

tags: $(TABLES) Iptc $(SCHEMA)
	@./gen.py *.html.in

$(TABLES):
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | python3 tags.py > $@.xml
	@xsltproc tags.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

Iptc:
	@echo Generating $@ table...
	@$(TAGLIST) $@ | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" -e"s/�/\&#177;/g" \
	               | python3 iptc.py > $@.xml
	@xsltproc iptc.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/g" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

$(SCHEMA):
	@echo Generating $@ table...
	@echo $@ | sed "s/xmp_//" | xargs $(TAGLIST) | sed -e"s/</\&lt;/g" -e"s/>/\&gt;/g" | python3 xmp.py > $@.xml
	@xsltproc xmp.xsl $@.xml > $@.tmp
	@sed "s/report1/$@/" $@.tmp > __$@__
	@touch $@
	@rm -f $@.tmp

$(TAGLIST):
	$(error File $(TAGLIST) does not exist. Did you build the library and programs in the src/ directory?)

mostlyclean:
	rm -f *.xml
	rm -f *.tmp

clean: mostlyclean
	rm -f $(TABLES:%=__%__) __Iptc__
	rm -f $(SCHEMA:%=__%__)
	rm -f $(TABLES) $(SCHEMA) Iptc
	rm -f *.html

distclean: clean
	rm -f *~

maintainer-clean: distclean

=== debian/changelog ===
exiv2 (0.28.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Append -ffloat-store -fexcess-precision=fast to the CCFLAGS on i386
    architectures, to fix the handling of floats.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Aug 2025 13:13:18 +0200

exiv2 (0.28.7+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2025-54080 (Closes: #1112505)
    - fixes CVE-2025-55304 (Closes: #1112506)
  * Bump standards version to 4.7.2, no changes required.
  * Update symbols file; the loss symbol is an internal function.
  * Simplify GPL 2 license text in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 31 Aug 2025 11:38:44 +0200

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Steve M. Robbins <smr@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.11.0~),
               debhelper-compat (= 13),
               gettext,
               libbrotli-dev,
               libgmock-dev,
               libgtest-dev,
               libinih-dev,
               libexpat1-dev,
               pkg-kde-tools,
               python3:any,
               zlib1g-dev,
Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.exiv2.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git

Package: exiv2
Architecture: any
Depends: libexiv2-28 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: EXIF/IPTC/XMP metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats:
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-28
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
         libexiv2-data (>= ${source:Version}),
Suggests: exiv2
Multi-Arch: same
Description: EXIF/IPTC/XMP metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libexiv2-27 (<< 0.28~)
Replaces: libexiv2-27 (<< 0.28~)
Multi-Arch: foreign
Description: EXIF/IPTC/XMP metadata manipulation library - shared data
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the data files of the exiv2 library.

Package: libexiv2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libexiv2-28 (= ${binary:Version}), ${misc:Depends}
Suggests: libexiv2-doc
Description: EXIF/IPTC/XMP metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: libjs-jquery, ${misc:Depends}
Section: doc
Architecture: all
Multi-Arch: foreign
Description: EXIF/IPTC/XMP metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

ifeq ($(DEB_HOST_ARCH_CPU),i386)
  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store -fexcess-precision=fast
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DEXIV2_ENABLE_BMFF=ON \
	    -DEXIV2_ENABLE_NLS=ON \
	    -DEXIV2_ENABLE_VIDEO=ON \
	    -DEXIV2_ENABLE_WEBREADY=ON \
	    -DEXIV2_BUILD_UNIT_TESTS=ON \
	    -DEXIV2_BUILD_SAMPLES=OFF \
	    -DEXIV2_BUILD_DOC=$(if $(filter libexiv2-doc, $(shell dh_listpackages)),ON,OFF) \
	    -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/exiv2/html

execute_after_dh_auto_install:
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d

execute_after_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_test:
	# path conflicts between the tests
	dh_auto_test --no-parallel

override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
	find $(CURDIR)/debian -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
	find $(CURDIR)/debian \( -name '*.map' -o -name '*.md5' \) -delete

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.js -X.xml

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg, dversionmangle=auto, filenamemangle=s/.+\/v?([\d\.]+)\.tar\.gz/exiv2-$1\.tar\.gz/" \
  https://github.com/Exiv2/exiv2/tags .*/v?([\d\.]+)\.tar\.gz

## exiv2 0.28.8+dfsg

=== fuzz/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,4 @@
 
 fuzzer(fuzz-read-print-write)
 fuzzer(fuzz-read-write)
+fuzzer(fuzz-preview)

=== debian/changelog ===
exiv2 (0.28.8+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steve Robbins ]
  * Remove myself as uploader

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * New upstream release:
    - fixes CVE-2026-25884
    - fixes CVE-2026-27596
    - fixes CVE-2026-27631

 -- Pino Toscano <pino@debian.org>  Tue, 03 Mar 2026 07:38:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: exiv2
 Section: graphics
-Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Steve M. Robbins <smr@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>
 Build-Depends: chrpath,
                cmake (>= 3.11.0~),
                debhelper-compat (= 13),
@@ -17,8 +15,7 @@
                python3:any,
                zlib1g-dev,
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.exiv2.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git
